Subject: Re: bug#23341: x-show-tip does not respect the value of tooltip-hide-delay, and the default tooltip timeout isn't configurable

From: Eli Zaretskii <[email-masked]>
Date: Sat, 23 Apr 2016 17:36:39 +0300

> Cc: [email-masked]
> From: Clément Pit--Claudel <[email-masked]>
> Date: Sat, 23 Apr 2016 10:22:09 -0400
> 
> >> It would be nice to have a lisp-configurable default for tooltip timeout; currently, it is hardcoded to 5 seconds in x_show_tip.
> > 
> > ??? That hardcoded value is only used if the optional argument TIMEOUT
> > is nil, so I'm not sure I understand what you are saying.
> 
> I'm saying that it would be nice for users to be able to set a global default that applies in all cases in which a package uses x-show-tip and doesn't pass the appropriate argument (or make it user-configurable) :)

Which package(s) do that?  I think those packages need to be fixed
instead.